<template>
  <JList class="conversation-message-list-actions">
    <JListItem
      size="m"
      @click="$emit('reply')"
      @keydown.space="$emit('reply')"
      @keydown.enter="$emit('reply')"
    >
      <JIcon
        icon="reply"
        container-size
        size="24px"
        viewBox="-2 -4 24 24"
      />
      <JText
        type="text-1"
        color="text"
        weight="normal"
        class="ml-2"
      >
        {{ $t('reply') }}
      </JText>
    </JListItem>
    <JListItem
      v-if="hideEdit === false"
      size="m"
      @click="$emit('edit')"
      @keydown.space="$emit('edit')"
      @keydown.enter="$emit('edit')"
    >
      <JIcon
        icon="edit"
        container-size
        size="24px"
        viewBox="-2 -2 24 24"
      />
      <JText
        type="text-1"
        color="text"
        weight="normal"
        class="ml-2"
      >
        {{ $t('edit') }}
      </JText>
    </JListItem>
    <JListItem
      v-if="hideDelete === false"
      size="m"
      @click="$emit('delete')"
      @keydown.space="$emit('delete')"
      @keydown.enter="$emit('delete')"
    >
      <JIcon
        icon="trash"
        container-size
        size="24px"
        viewBox="0 0 24 24"
      />
      <JText
        type="text-1"
        color="text"
        weight="normal"
        class="ml-2"
      >
        {{ $t('delete') }}
      </JText>
    </JListItem>
  </JList>
</template>

<script setup lang="ts">
import {
  JList, JListItem, JText, JIcon,
} from '@new-jira-clone/ui/src/components';

defineEmits<{
  (event: 'edit'): void;
  (event: 'reply'): void;
  (event: 'delete'): void;
}>();

defineProps({
  hideEdit: {
    type: Boolean,
    default: false,
  },
  hideDelete: {
    type: Boolean,
    default: false,
  },
});
</script>

<style scoped lang="scss">
.conversation-message-list-actions {
  min-width: 180px;
}
</style>
